<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides Admin TASK management
 *
 * @package    lnApp
 * @subpackage Page/Task
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Controller_Admin_Task extends Controller_TemplateDefault_Admin {
	protected $secure_actions = array(
		'listlog'=>TRUE,
	);

	/**
	 * Show a list of tasks run
	 */
	public function action_listlog() {
		Block::add(array(
			'title'=>_('Task Log'),
			'body'=>Table::display(
				ORM::factory('task_log')->order_by('id','DESC')->find_all(),
				25,
				array(
					'id'=>array('label'=>'ID','url'=>'admin/task/view/'),
					'date_orig'=>array('label'=>'Date'),
					'task->display("name")'=>array('label'=>'Task'),
					'result'=>array('label'=>'Result'),
					'message'=>array('label'=>'Message'),
				),
				array(
					'page'=>TRUE,
				)),
			));
	}
}
?>
